@echo off
SetLocal EnableExtensions

:: Script-helper to convert .PCF files to KeyValues
:: by Alex Dragokas

:: dmxconvert.exe tool path (L4D2)
set "binpath=D:\Steam2\steamapps\common\Left 4 Dead 2\bin"

:: pcf files path
set "pcfpath=D:\Steam2\steamapps\common\Left 4 Dead\left4dead\particles"

:: empty folder to store coverted results
set "rsltpath=%~dp0pcf"

if not exist "%binpath%\dmxconvert.exe" (echo dmxconvert.exe is not found. Cannot continue!& pause>NUL & exit /b)

if not exist "%pcfpath%\*.pcf" (echo .pcf files are not found. You need extract them first from pak01_dir.vpk, using GFScape& pause>NUL & exit /b)

cd /d "%binpath%"
2>NUL md "%rsltpath%"

for %%i in ("%pcfpath%\*.pcf") do (
  echo.
  echo Processing %%~nxi ...
  dmxconvert -i "%%i" -ie binary -o "%rsltpath%\%%~ni.txt" -oe keyvalues2 -of tex 
)

echo.
echo Extracting definition names to particles.txt keyvalues file ...

"%~dp0kv_creator.exe"
echo Finished.
echo.

pause